ONETEMPLATE(1)

NAME
onetemplate

SYNOPSIS
onetemplate command [args] [options]

OPTIONS
 --name name               Name of the new VM or TEMPLATE. When instantiating
                           multiple VMs you can use the"%i" wildcard to produce
                           different names such as vm-0, vm-1...
 --cpu cpu                 CPU percentage reserved for the VM (1=100% one CPU)
 --arch arch               Architecture of the VM, e.g.: i386 or x86_64
 --memory memory           Memory ammount given to the VM
 --disk disk0,disk1        Disks to attach. To use a disk owned by other user use user[disk]
 --network network0,network1 Networks to attach. To use a network owned by other user use user[network]
 --raw string              Raw string to add to the template. Not to be confused with the RAW attribute
 -m, --multiple x          Instance multiple VMs
 -l, --list x,y,z          Selects columns to display with list command
 -d, --delay x             Sets the delay in seconds for top command
 -x, --xml                 Show the resource in xml format
 -n, --numeric             Do not translate user and group IDs
 --describe                Describe list columns
 -v, --verbose             Verbose mode
 -h, --help                Show this message
 -V, --version             Show version and copyright information

COMMANDS

•   create [file]

    Creates a new VM Template from the given description
    Examples:
      - using a VM Template description file:
        onetemplate create vm_description.tmpl
      - new VM Template named "arch vm" with a disk and a nic:
        onetemplate create --name "arch vm" --memory 128 --cpu 1 --disk arch \
                     --network private_lan
      - using two disks:
        onevm create --name "test vm" --memory 128 --cpu 1 --disk arch,data
    valid options: name, cpu, arch, memory, disk, network, raw

•   clone templateid name

    Creates a new Template from an existing one

•   delete range|templateid_list

    Deletes the given Image

•   instantiate templateid

    Creates a new VM instance from the given Template. This VM can be
    managed with the 'onevm' command
    valid options: name, multiple

•   publish range|templateid_list

    DEPRECATED, use chmod instead. Publishes the given Template. A public
    Template can be seen and instantiated by other users in the Template's
    group.

•   unpublish range|templateid_list

    DEPRECATED, use chmod instead. Unpublishes the given Template. A private
    Template can't be instantiated by any other user.

•   chgrp range|templateid_list groupid

    Changes the Template group

•   chown range|templateid_list userid [groupid]

    Changes the Template owner and group

•   chmod range|templateid_list octet

    Changes the Template permissions

•   update templateid [file]

    Update the template contents. If a path is not provided the editor will
    be launched to modify the current content.

•   list [filterflag]

    Lists Templates in the pool
    valid options: list, delay, xml, numeric, describe

•   show templateid

    Shows information for the given Template
    valid options: xml

•   top [filterflag]

    Lists Templates continuously
    valid options: list, delay, xml, numeric, describe

ARGUMENT FORMATS

•   file

    Path to a file

•   range

    List of id's in the form 1,8..15

•   text

    String

•   groupid

    OpenNebula GROUP name or id

•   userid

    OpenNebula USER name or id

•   templateid

    OpenNebula VMTEMPLATE name or id

•   templateid_list

    Comma-separated list of OpenNebula VMTEMPLATE names or ids

•   filterflag

    a, all       all the known VMTEMPLATEs
    m, mine      the VMTEMPLATE belonging to the user in ONE_AUTH
    g, group     'mine' plus the VMTEMPLATE belonging to the groups
                 the user is member of
    uid          VMTEMPLATE of the user identified by this uid
    user         VMTEMPLATE of the user identified by the username

LICENSE
OpenNebula 3.8.1 Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0